// eslint-disable-next-line unicorn/prevent-abbreviations
const devServerConfig = (cartridge, { devServer, site, locale, hostname, }) => (devServer
    ? {
        server: 'https',
        client: {
            overlay: {
                errors: true,
                warnings: false,
            },
        },
        proxy: {
            '*': {
                target: `https://${hostname}/`,
                secure: false,
                changeOrigin: true,
            },
        },
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        setupMiddlewares: (middlewares, server) => {
            if (!server) {
                throw new Error('webpack-dev-server is not defined');
            }
            server.app.get(`/on/demandware.static/Sites-${site}-Site/-/${locale}/:hash(v(\\w{0,}))/:staticfile(\\S*)`, 
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
            (request, response) => {
                response.redirect(`/on/demandware.static/Sites-${site}-Site/-/${locale}/${request.params.staticfile}`);
            });
            return middlewares;
        },
    }
    : undefined);
export default devServerConfig;
//# sourceMappingURL=devServer.js.map