import type { WebpackOptionsNormalized } from 'webpack';
import type { ConfigurationFnc, SFCCWebpackConfigOptions } from './types.js';
/**
 * Generates a Webpack configuration by using an array of configuration functions which create webpack config sections.
 *
 * @param sections configuration functions which create a webpack config section
 * @param cartridge cartridge name
 * @param opts config options
 * @returns a Webpack config containing the generated config sections
 */
export declare const generateWebpackConfiguration: (sections: Record<string, ConfigurationFnc<unknown>>, cartridge: string, options: Partial<SFCCWebpackConfigOptions>) => WebpackOptionsNormalized;
/**
 * Change the name of the chunks. There are several problems with the default naming (like too long names).
 */
export declare const normalizeWebpack5ChunkName: (name: string) => string;
